# Projet tuteuré T2

Les étapes du projet tuteuré T2 sont les suivantes :

1. 10h00
    1. Consulter le groupe qui vous est attribué dans le document des groupes.
    1. Lire le cahier des charges, sans communiquer avec le groupe T4.
    1. Faire des observations en utilisant la fonction commentaires pour aider à améliorer ce document.
        - l'objectif principal ici est d'identifier tout ce qui n'est pas parfaitement clair.
1. 11h00
    1. Rejoindre votre groupe T4
    1. Dupliquer ce fichier d’évaluation dans leur GIT, en suivant la règle de nommage `Evaluation-T4-Prénom_Nom.md` 
        - Demander au T4 de le faire si besoin, et vérifier que vous pouvez le modifier.
        - Ajouter un lien vers votre duplicata dans le document des groupes.
    1. Jouer au jeu, et proposer des améliorations dans la section ci-dessous.
    1. Faire remplir la grille d'évaluation T2 et le résultat T2 ci-dessous par les membres du T4.
1. Assister à la présentation plénière à 14h dans les amphis 1 ou 2.
1. Remplir la grille d'évaluation T4 ci-dessous, et remplir le résultat T4.
    - Un soin particulier doit être apporté aux justifications.
    - Ne pas juste réécrire ou paraphraser un critère (Exemple : "_les commits sont pertients_").
    - Apporter des informations concrètes (Exemple : "_il y a eu x commits par y personnes, et la moitié sont commentés clairement_").
1. Rendu avant 17h.

# Propositions d'amélioration du jeu

- Proposition 1
Il faudrait une image de fond au lieux d'avoir une couleur. Cela rendrait un peu plus agréable.
- Proposition 2
Il faudrait des bruits de click quand on appuie sur les boutons.
- Proposition 3
Un bouton retour quand on appuie sur commencer car lorsque l'on veut changer les paramètres et bien on doit quitter le jeu.
- Proposition 4
Le financement est toujour à 10000 euro, cela serait bien de varier.
- Proposition 5
Mettre le bouton QUITTER et Phase suivante (quand on créer notre équipe), un peu plus vers le bas de l'interface.

## Grille d'évaluation T2 (à remplir par les membres du groupe T4)

- Procédure
  - [ ] La procédure a été suivie à la lettre sans le moindre écart.
  - [ ] La procédure a été globalement suivie.
  - [x] La procédure n'a pas été bien suivie.
- Propositions d'amélioration du jeu
  - [ ] Au moins trois propositions d'améliorations pertinente sont faites.
  - [ ] Au moins trois propositions d'améliorations sont faites.
  - [x] Moins de trois propositions d'améliorations sont faites.
- Propositions d'amélioration du Cahier des charges
  - [ ] Au moins cinq propositions d'améliorations pertinente sont faites.
  - [ ] Au moins cinq propositions d'améliorations sont faites.
  - [x] Moins de cinq propositions d'améliorations sont faites.
- Implication
  - [ ] L'implication T2 été vraiment été cruciale dans le processus du T4.
  - [ ] L'implication T2 a permis d'améliorer le T4.
  - [x] Il y a eu un défaut d'implication T2.

### Résultat T2
- Total d'item « Excellent » (2 point) : 
- Total d'item « Satisfaisant » (1 point) : 
- Total d'item « Insatisfaisant » (0 point) :
- Total des points (sur 8) : 



# Grille d'évaluation T4

## GIT 
- Organisation
  - [ ] Les fichiers sources suivent une organisation et des règles de nommage clairement établie.
  - [x] Les fichiers sources sont tous partagés et organisés.
  - [ ] Certains fichiers sources ne sont pas partagés ou leur organisation laisse à désirer.
- Versioning
  - [ ] La granularité des commits est pertinente et les commits sont clairement et systématique renseignés.
  - [x] La granularité des commits n'est pas pertinente ou les commits ne sont pas clairement et systématiquement renseignés.
  - [ ] La granularité des commits n'est pas pertinente et les commits ne sont pas clairement et systématiquement renseignés.
- Droits d'accès
  - [ ] Julien Gossa a le rôle avec le plus de droits sur le dépôt GIT et ce dépôt est accessible à tous.
  - [ ] Julien Gossa a le rôle avec le plus de droits sur le dépôt GIT.
  - [x] Julien Gossa n'a pas le rôle avec le plus de droits sur le dépôt GIT.
- README.md
  - [x] Le README est complet, avec : une présentation du projet, la procédure d'installation et d'exécution, et des captures d'écran du jeu.
  - [ ] Le README n'est pas complet.
  - [ ] Il n'y a pas de README.
- CDC.md
  - [x] Le CDC est conforme au document partagé de travail, et les deux sont liés depuis le README.
  - [ ] Le CDC est conforme au document partagé de travail, ou les deux sont liés depuis le README.
  - [ ] Le CDC n'est pas conforme au document partagé de travail, et les deux ne sont pas liés depuis le README.


 **Justifications** :
- Il y a un total de 29 commits (+ les commites des autres évaluateurs). Le nom des commits ne sont pas clair, comme par exemple: 'commit repare'.
- On remarque que Julien Gossa a un role de reporter. Or il doit avoir un role de maintener pour avoir plus de droit sur le dépôt GIT.
- Le readme.md est complet car on a bien la description du jeu avec 2 images présentant le jeu et comment se fait l'installation (exemple: 
  - Etape1: téléchargez l'archive qui s'appelle projet_T4.zip (cliquez le lien)
  - Etape2: la décompressez, garder bien tous les fichiers qui en sortent dans le même dossier de votre machine.
  - Etape3: lancez le fichier .exe et profitez du jeu.)
- Le CDC est conforme au document partagé de travail. En effet, le CDC est dans cdc.md. Vous pouvez le récupérer via le readme au niveau de Cahier des charges.


## Prototype
- Installation
  - [x] Le prototype s'installe sans effort.
  - [ ] Le prototype s'installe en suivant une procédure.
  - [ ] Le prototype ne s'installe pas.
- Exécution
  - [x] Le prototype s'exécute en cliquant sur une icône.
  - [ ] Le prototype s'exécute en suivant une procédure.
  - [ ] Le prototype ne s'exécute pas
- Stabilité
  - [ ] Le prototype est parfaitement stable
  - [x] Le prototype est rarement instable
  - [ ] Le prototype est instable
- Affordabilité
  - [x] Toutes les instructions de jeu sont inclues dans le prototype au cours d'une partie normale.
  - [ ] Les instructions de jeu sont sous forme d'un manuel ou d'un tutoriel à part.
  - [ ] Les instructions de jeu ne sont pas données.
- Transmission du concept
  - [ ] Le prototype permet de parfaitement transmettre le concept-cible au joueur.
  - [x] Le prototype permet de transmettre le concept-cible au joueur.
  - [ ] Le prototype ne permet pas de transmettre le concept-cible au joueur.

**Justifications** :
 - Pour l'installation, on a juste à installer le dossier git, ensuite aller dans le dossier build et lancer le fichier My project.exe et le jeu est  lancé.
 - Le jeu se lance donc bien quand on appui sur le fichier My project.exe.
 - Le prototype ne pose aucun problème au niveau de l'anti-virus et il reste très fluide. Mais il y a de sbouton qui ne marche pas comme
 le bouton MENU pour revenir au menu, ce qui peut poser un gros problème si on veut revenir en arrière car le seul moyen est de quitter le jeu et de revenir.
- Pour les instructions, il explique bien qu'on doit choisir son équipe de développement en pouvant pour chaque métier choisir le nomnre de personne ou enlever. Chaque fois qu'on ajouter une personne, le finacement baisse. Ensuite, on peut choisir les interets.

## Cahier des charges
- Modèle de document
  - [ ] Le CdC respecte parfaitement le modèle de document.
  - [x] Le CdC respecte globalement le modèle de document.
  - [ ] Le CdC ne respecte pas le modèle de document.
- Description de l'application
  - [ ] La description permet de se faire une idée précise et exhaustive de l'application attendue.
  - [x] La description permet de se faire une idée de l'application attendue.
  - [ ] La description ne permet pas de se faire une idée de l'application attendue.
- Modèle conceptuel
  - [ ] Le modèle conceptuel applicatif (MCD ou digramme de classe) est exhaustif et détaillé.
  - [ ] Le modèle conceptuel applicatif (MCD ou digramme de classe) est donné.
  - [x] Le modèle conceptuel applicatif (MCD ou digramme de classe) n'est pas donné.

**Justifications** : 
- Le CdC respecte bien le modèle de document car on a bien les instructions, le déroulement d'une partie, paramétrage d'une partie, la description des fonctionnalités avec les actions du joueur, l'information au joueur et le moteur interne Et on à un tutorial de scénario.
- La desciption permet de se faire une idée de jeu en incarnant un chef de projet qui veut créer des jeux éducatifs. Il va donc recruter des perosnnes dans divers métier avec un financement donné.
- Je ne vois pas de modèle conceptuel applicatif MCD ou diagramme de classe. Donc, je ne peux pas vérifier si cela est exhasif et détaillé.
### Fonctionnalités
- Actions du joueur
  - [ ] La description des actions du joueur permet de connaitre parfaitement les interactions avec l'application.
  - [x] La description des actions du joueur permet de se faire une première idées des interactions avec l'utilisateur.
  - [ ] La description des actions du joueur ne pas permet pas de se faire une première idées des interactions avec l'utilisateur.
- Infomations au joueur
  - [ ] La description des informations au joueur permet de connaitre parfaitement les interactions avec l'application.
  - [x] La description des informations au joueur permet de se faire une première idées des interactions avec l'utilisateur.
  - [ ] La description des informations au joueur ne pas permet pas de se faire une première idées des interactions avec l'utilisateur.
- Description du moteur interne
  - [ ] La description du moteur interne permet de comprendre parfaitement le fonctionnement de l'application.
  - [x] La description du moteur interne permet de comprendre le fonctionnement de l'application.
  - [ ] La description du moteur interne ne permet pas de comprendre le fonctionnement de l'application.
- Découpage modulaire 
  - [ ] L'application est couverte par des modules pertinents et pleinement décrits.
  - [x] L'application est découpée en modules pertinents.
  - [ ] L'application n'est pas découpée en modules pertinents.
- Granularité des fonctionnalités
  - [ ] Les fonctionnalités sont très fines.
  - [x] Les fonctionnalités sont fines.
  - [ ] Les fonctionnalités sont grossières.
- Exhaustivité des fonctionnalités
  - [ ] Les fonctionnalités couvrent la totalité de l'application.
  - [ ] Les fonctionnalités couvrent globalement l'application.
  - [x] Les fonctionnalités ne couvrent pas l'application.
- Description des fonctionnalités
  - [ ] Les fonctionnalités sont précisément décrites.
  - [x] Les fonctionnalités sont décrites.
  - [ ] Les fonctionnalités ne sont pas bien décrites.
- Priorisation des fonctionnalités
  - [ ] Les fonctionnalités sont classées par priorités de façon pertinentes.
  - [x] Les fonctionnalités sont classées par priorités.
  - [ ] Les fonctionnalités ne sont pas classées par priorités.
- Difficulté des fonctionnalités
  - [ ] Les fonctionnalités sont annotées par une difficulté pertinente.
  - [x] Les fonctionnalités sont annotées par une difficulté.
  - [ ] Les fonctionnalités ne sont pas annotées par une difficulté.

**Justifications** : 
- On a une idée sur les actions du joueurs car on peut cliquer sur des boutons et bouger des sliders.
- Pour ce qui est information, on a une idée car le joueur peit créer son équipe, attribuer des point aux 3 statistiques (Scientifique, Economique et Design), avoir les différentes valeurs de la mallette, avoir un score final et avoir un finnacement initial (pour recruter des personnes, donc créer son équipe).
- La desciption diu moteur interne permet de comprendre le fonctionnement de l'application car on a des interractions entre les actions du joueurs et les informations avec 2 parties (gestion des tours et gestion des taches).
- Les fonctionnalités sont fines car on voit bien lorsque c'est un bouton. Et les boutons n'ont pas la meme couleur que le fond, pour bien distinguer que l'on peut cliquer.
- Les fonctionnalités ne couvrent pas l'application car certain bouton ne marche pas comme le MENU. Il faudrait également des bouton retour pour revenir en arrière. ET le bouton quitter quand on a fini et qu'on valide l'équipe, ne marche pas.
- Les fonctionnalités sont décrites comme par exemple quand on créer notre équipe ou quand on choisi l'interet. Mais éagelemnt dans les paramètre où on voit bien qu'on peut baisser le son ou la musique. Mettre en mode plein écran et changer la taille de la fenetre. Tout est bien montré.
- Les fonctionnalités sont placés par priotié comme au menu, on a: commencer - paramètre - quitter. Commencer est bien en premier afin de lancer la partie comme dans tous les jeux. Et les paramètres sont généralement apres le bouton commencer. Donc cela est bien respecté.

### Scénarios
- Nombre
  - [ ] Au moins un scénario est pleinement développé et propose au moins deux alternatives.
  - [ ] Un scénario est pleinement développé.
  - [x] Un scénario n'est pas pleinement développé.
- Exhaustivité
  - [ ] Le scénario développé s'appuie sur toutes les fonctionnalités.
  - [x] Le scénario développé s'appuie sur toutes les fonctionnalités principales
  - [ ] Le scénario développé ne s'appuie pas sur toutes les fonctionnalités principales.
- Scénarios additionnels 
  - [ ] Des scénarios additionnels sont proposés, en expliquant leur intérêt. 
  - [x] Des scénarios additionnels sont proposés. 
  - [ ] Des scénarios additionnels ne sont pas proposés.

**Justifications**: 
- Le scénario n'est pas pleinement développé car quand on a fini de développer notre quipe et qu'ona  fini de défnir les intertes et bien rien ne se passe. On a seulement le bouton MENU et QUITTER (qui d'ailleur ne marchent pas). Donc le scénario n'est pas développé.
je ne peux pas dire grand chose au niveau du scénario développé à par choisir son équipe et les intérets qui vont beaucoup influencer sur le déroulement de la partie car l'équipe va influencer sur le score final.
- Des scénarios additionnels ne sont pas proposés car on a pas de scénario. Mais d'après le CdC, on peut avoir divers scénario comme par exemple, on peut créer son équipe, or les équipes n'auront pas la meme influence sur le score final. 

## Résultat T4
- Total d'item « Excellent » (2 point) : 
- Total d'item « Satisfaisant » (1 point) : 
- Total d'item « Insatisfaisant » (0 point) :
- total des points (26 sur 50) :
