using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class ActionWorld : MonoBehaviour
{
    public static ActionWorld SpawnActionWorld(Vector3 position, Action action)
    {
        Transform transform = Instantiate(ActionAsset.Instance.Pf_ItemWorld, position, Quaternion.identity);

        ActionWorld actionWorld = transform.GetComponent<ActionWorld>();
        actionWorld.SetAction(action);

        return actionWorld;
    }

    private Action action;
    private SpriteRenderer spriteRenderer;

    private void Awake()
    {
        spriteRenderer = GetComponent<SpriteRenderer>();
    }

    /// associe un item a son visuel graphique
    /// 
    /// <param name="action"></param>
    public void SetAction(Action action)
    {
        this.action = action;
        spriteRenderer.sprite = action.GetSprite();
    }

    /// retourne l'Items courant 
    /// <returns></returns>
    public Action GetItem()
    {
        return action;
    }

    public void DestroySelf()
    {
        Destroy(gameObject);
    }
}
